using System;
using System.Globalization;
using System.Windows.Data;

namespace MECF.Framework.UI.Core.Converters
{
	public class BoolReverseConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
		{
            if (value is bool bValue)
                return !bValue;

            return true;
        }

		public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is bool bValue)
                return !bValue;

            return false;

        }
	}
}
